Bug 826122 - uuidd fails to start
uuidd fails to start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 12:19 EDT by jd1008
Modified: 2012-06-27 23:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:30:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jd1008 2012-05-29 12:19:54 EDT
uuidd fails to start because it is unable to create it's pid file
in /var/run
The reason is that /var/run (which is a symlink to /run)
is owned by root, and uuidd runs as itself, with uid of uuidd,
which has no permissons to create the dir uuidd in /run, ergo
cannot create the uuidd.pid file.

So, I moded /etc/init.d/uuidd to create the dir and chown it to uuidd:uuidd

That works. HOWEVER....
starting uuidd after the mod, it hangs for about 5 minutes looking
for /var/lib/libuuid/uuidd.pid  file, which is never created,
and systemctl reports failure; albeit, uuidd remains running.

I have been notified by another fedora user that it is broken
in F17 as well.


Version-Release number of selected component (if applicable):
uuidd-2.20.1-2.3.fc16.i686

How reproducible:
systemctl start uuidd.service


Steps to Reproduce:
1. start uuidd
2.
3.
  
Actual results: failure


Expected results: no failure


Additional info:
Comment 1 Michal Hlavinka 2012-05-30 07:34:22 EDT
wrong component, 

# rpm -qif /etc/init.d/uuidd
Name        : uuidd
...
...
Source RPM  : util-linux-2.21.1-1.fc17.src.rpm
...

reassigning
Comment 2 Fedora Update System 2012-06-19 06:35:40 EDT
util-linux-2.21.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/util-linux-2.21.2-2.fc17
Comment 3 Fedora Update System 2012-06-19 20:30:46 EDT
Package util-linux-2.21.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.21.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9673/util-linux-2.21.2-2.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-27 23:30:18 EDT
util-linux-2.21.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.